Package net.shibboleth.idp.metrics.impl

# Class IdPGaugeSet

java.lang.Object
org.springframework.context.support.ApplicationObjectSupport
net.shibboleth.idp.metrics.impl.IdPGaugeSet

All Implemented Interfaces:
  `com.codahale.metrics.Metric`, `com.codahale.metrics.MetricFilter`, `com.codahale.metrics.MetricSet`, `Aware`, `ApplicationContextAware`

public class IdPGaugeSet extends ApplicationObjectSupport implements com.codahale.metrics.MetricSet, com.codahale.metrics.MetricFilter
A set of gauges for core system information.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`DEFAULT_METRIC_NAME`
Default prefix for metrics.
`private final Map<String,com.codahale.metrics.Metric>`
`gauges`
The map of gauges.

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

### Fields inherited from interface com.codahale.metrics.MetricFilter

`ALL`

## Constructor Summary

Constructors
Constructor
Description
`IdPGaugeSet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,com.codahale.metrics.Metric>`
`getMetrics()`
`protected boolean`
`isContextRequired()`
`boolean`
`matches(String name, com.codahale.metrics.Metric metric)`
`void`
`setExposedProperties(Set<String> properties)`
Set the names of properties to expose as metrics.

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_METRIC_NAME

@Nonnull @NotEmpty private static final String DEFAULT_METRIC_NAME
Default prefix for metrics.

See Also:
  - Constant Field Values

### gauges

@Nonnull private final Map<String,com.codahale.metrics.Metric> gauges
The map of gauges.

## Constructor Details

### IdPGaugeSet

public IdPGaugeSet()
Constructor.

## Method Details

### setExposedProperties

public void setExposedProperties(@Nullable Set<String> properties)
Set the names of properties to expose as metrics.

Parameters:
  `properties` - properties to expose

### getMetrics

public Map<String,com.codahale.metrics.Metric> getMetrics()

Specified by:
  `getMetrics` in interface `com.codahale.metrics.MetricSet`

### matches

public boolean matches(String name, com.codahale.metrics.Metric metric)

Specified by:
  `matches` in interface `com.codahale.metrics.MetricFilter`

### isContextRequired

protected boolean isContextRequired()

Overrides:
  `isContextRequired` in class `ApplicationObjectSupport`